Next: VIC-II settings, Previous: C64/128-specific commands and settings, Up: C64/128-specific commands and settings [Contents][Index]

#### 7.1.1 Using cartridges

The cartridge system is organized in "Slots" to allow more than one cartridge connected at a time, like it can be done using an expansion port expander on a real C64 (see below).

Generally a cartridge can be enabled by attaching its respective cartridge image, or using the respective menu option for cartridges that do not require an image.

x64, x64sc and x128 allow you to attach the following kinds of images:

- `.crt` images, as used by the CCS64 emulator by Per Håkan Sundell
- raw `.bin` images, with or without load address

Cartridge images are like disk images, but contain the contents of cartridge ROM and/or RAM images instead of disk images.

To attach cartridges, use the “Attach a cartridge image” submenu. When using `.crt` images, this will work for every cartridge which is supported. For raw `.bin` images you might have to use command line options.

When you have successfully attached a cartridge image, you should then reset the machine to make sure the cartridge initializes itself. (Or enable the "reset on cartridge change" option).

Of course, it is also possible to detach a currently attached cartridge image (“Detach cartridge image”).

If you are using a freezer cart like an Action Replay cartridge, you can emulate the cartridge’s freeze button with the “Cartridge freeze” command.

The imaginary expansion port expander is organized in 4 slots, the cartridges are associated with them like this:

#### 7.1.1.1 Slot 0

All carts that have a passthrough connector go here. Once a "Slot 0" cartridge is enabled all further cartridges are connected to its respective passthrough port.

Only one cartridge of this type can be active at a time.

"Slot 0" carts have individual "enable" switches, enabling means enabling permanently.

The following cartridges are emulated in this slot:

- IEEE-488 Interface (http://www.funet.fi/pub/cbm/schematics/cartridges/c64/ieee-488/eprom.bin)
- Magic Voice
- MMC64

#### 7.1.1.2 Slot 1

Mostly RAM based cartridges which for one reason or the other might make sense to be enabled together with one of the "Main Slot" cartridges go here.

Only one cartridge of this type can be active at a time.

"Slot 1" carts have individual "enable" switches, enabling means enabling permanently

The following cartridges are emulated in this slot:

- Double Quick Brown Box (DQBB)
- Expert Cartridge
- ISEPIC
- RamCart

#### 7.1.1.3 Main Slot

All other cartridges which are not pure i/o extensions go here.

Only one cartridge of this type can be active at a time.

Cartridges in the "Main Slot" must be explicitly set as default to enable them permanently.

The following cartridges are emulated in this slot:

- generic 4KiB, 8KiB and 16KiB game- and ultimax cartridges
- Action Replay V5
- Action Replay MK2
- Action Replay MK3
- Action Replay MK4
- Atomic Power
- BIS-Plus
- Blackbox V3
- Blackbox V4
- Blackbox V8
- Blackbox V9
- C64 Games System
- Capture
- Comal 80
- Dela EP64
- Dela EP7x8
- Dela EP256
- Diashow-Maker
- Dinamic
- Easy Calc
- EasyFlash
- Epyx FastLoad
- EXOS
- The Final Cartridge
- The Final Cartridge III
- Final Cartridge Plus
- Formel 64
- Freeze Frame
- Freeze Machine
- Fun Play / Powerplay
- Game Killer
- GMod2
- GMod3
- H.E.R.O. bootleg
- IDE64 (http://www.ide64.org)
- KCS Power Cartridge
- Kingsoft
- Lt. Kernal Host Adaptor
- MACH 5
- Magic Desk
- Magic Formel
- MAX Basic
- Mikro Assembler
- MMC Replay
- Ocean
- Pagefox
- Prophet64
- RAMLink
- REX 256KiB EPROM Cart
- REX RAM-Floppy
- REX Utility
- Retro Replay
- RGCD
- RR-Net MK3
- ROSS
- SD-BOX
- Silverrock 128
- Simons’ BASIC
- Snapshot 64
- Stardos
- Structured BASIC
- Super Explode V5.0
- Super Games
- Super Snapshot V4
- Super Snapshot V5
- Warp Speed
- Westermann Learning
- Zaxxon
- ZIPP-CODE 48

#### 7.1.1.4 I/O Slot

All carts that are pure I/O extensions go here.

Any number of "I/O Slot" Carts may be active at a time.

"I/O Slot" carts have individual "enable" switches, enabling means enabling permanently.

The following cartridges are emulated in this slot:

- ACIA (Swiftlink, Turbo232)
- DigiMAX
- DS12C887 RTC
- Ethernet (The Final Ethernet, RR-Net)
- GEO-RAM
- MIDI (Passport/Syntech, Datel/Siel/JMS/C-Lab, Maplin, Namesoft, Sequential)
- RAM Expansion Module (REU)
- SFX Sound Expander
- SFX Sound Sampler

#### 7.1.1.5 Expected behaviour

When the emulator is run without arguments, all settings from the config file should be applied and arguments override settings from the config file.

When saving the settings to the config file it is expected that on the next run of the emulator all settings will be in the same state as they were when saved.

There is an exception to this rule: the cartridge in the "Main Slot" must be explicitly set as default before it gets saved to the config file.

`+cart` should disable ALL cartridges, including eventually activated REU, Swithlink and all similar expansionport devices.

`-cartXYZ` options should generally attach AND activate a cart of type XYZ. As a consequence, attaching carts this way which are NOT in the "Main Slot" will also enable the cart permanently.

#### 7.1.1.6 Common problems

If attaching a cartridge does not work as expected, this may be because of various reasons:

- Not seldomly the CRT type is incorrectly set in `.crt` files found "in the wild". Make sure this is not the case (if in doubt use `cartconv` to verify and/or fix).
- You may have unintentionally enabled more than one cartridge at once, for example by saving the settings with REU enabled, and then later attaching a game cartridge from the command-line. The cartridge system will allow certain combinations, but (as on the real thing) not all do (can) actually work. To make sure this is not the case, either detach all cartridges from the menus, or use `+cart` on the command-line.
- The cartridge image might be broken. Try one from a different source. If you are sure the dump is ok (for example because you dumped it yourself) then make sure it is in proper linear order (on some cartridges, for example "capture", address and/or data lines at the eprom are shuffled around so a dump made with an eprom burner can not be used as is).
- Last not least you might have encountered a bug in the emulation. If you suspect this is the case, and you can still reproduce the bug after checking the things above, please file a bug report including the following information:
  - attach your vicerc and a reference to the cartridge binaries
  - if you can, comment in the respective DEBUGXYZ macros prominently defined at the top of these files: src/c64/cart/c64cart.c src/c64/cart/c64cartmem.c src/c64/c64io.c src/c64/c64export.c and then recompile. this will add debug output that might make it much easier to locate certain problems.

#### 7.1.1.7 IEEE-488 interface

To be able to use an IEEE drive, you need to enable IEEE emulation for the emulator. To do this, follow the following steps:

Download the IEEE 488 ROM image from the CBM archives (formerly known as FUNET) Attach that image with File/Attach cartridge image/IEEE488 interface image.

Make sure you have a one-drive system only (that is, go to Settings/Peripheral Setting, uncheck "use IEC device" for all devices, go to Settings/Drive Settings and select "Floppy type" as "none" for all drives other than drive 8.

After this, all drives can be selected in x64 and x128.

#### 7.1.1.8 The Final Cartridge 3

The Final Cartridge 3 detects whether a mouse is connected when it starts and disables mouse support if it doesnt detect one. So to make mouse emulation work you must either enable it on the command line, or reset the cartridge after enabling it from the user interface.

#### 7.1.1.9 CMD RAMLink

The CMD RAMLink can operate standalone using its own RAMCard or with an REU, GEORAM, or RAMDrive (only one) which is inserted into the RAM port. The RAMLink is essentially a builtin high capacity RAMDOS with battery backup support. This "backup" support can be emulated through the use of images. Initially it will "format" the memory so each has their own native parition on drive 16. Paritions and the device number can be changed with the CMD "RAM-tools". The latest RAMLink firmware (2.01) can not handle REU sizes other than 128 and 512 KiB, or GEORAM sizes beyond 2 MiB in VICE, as the firmware will hang on size detection.

The RAMLink also features a parallel port (similar to IEEE-488 interface) which allows faster transfers to the CMD HD series drives. The "cabling" is automatically performed by VICE and the RAMLink firmware will detect the cable presence and use it automatically. However, some programs may have compatibility issues (notably the CMD HD-tools with older HD boot roms). To disable this, issue the JiffyDOS command "@P0" to disable, or "@P1" to enable parallel transfers.

The RAMLink features an "Enable/Disable" switch that can be changed at anytime using the GUI options. Prior to disabling, the JiffyDOS "@Q" command should be issued to remove the JiffyDOS system vectors. See the manual for how to reactivate JiffyDOS. It is not recommended to change the REU, GEORAM, or RAMCard size as the CMD RAMDOS was not designed to detect this. Any changes should be followed by a machine reset.

The RAMLink also has a "Normal/Disable" switch which can also be changed at anytime. Normal, the default, only allows RAMLink access to the RAM port (REU, GEORAM, and RAMDrive); their registers are hidden otherwise. Direct exposes their registers all the time. This can lead to potential data corruption of the data on the RAM expansion devices as RAMLink can not guarantee its access is exclusive.

RAMLink is also compatible with the CMD SuperCPU 64, however it requires the official SuperCPU ROM (2.04) along with the RAMLink ROM to properly detect and utilize all the RAMLink features.

#### 7.1.2 C64 cartridge settings

#### 7.1.2.1 C64 cartridge resources

`IOCollisionHandling`

  Integer specifying the way the I/O collisions should be handled. (0: error message and detach all involved carts, 1: error message and detach last attached involved carts, 2: warning in log and ’AND’ the valid return values)

`CartridgeReset`

  Boolean specifying whether the machine should be reset when a cartridge is changed.

`CartridgeType`

  Integer specifying the type of cartridge emulated in the "main" slot.

  The following cartridge types are valid:

  - - 6: Ultimax
  - - 3: Generic 8KiB
  - - 2: Generic 16KiB
  - - 1: None
  - 0: CRT
  - 1: Action Replay V5
  - 2: KCS Power Cartridge
  - 3: The Final Cartridge III
  - 4: Simons’ BASIC
  - 5: Ocean
  - 6: Expert Cartridge
  - 7: Fun Play
  - 8: Super Games
  - 9: Atomic Power / Nordic Power
  - 10: Epyx FastLoad
  - 11: Westermann Learning
  - 12: REX Utility
  - 13: The Final Cartridge
  - 14: Magic Formel
  - 15: C64 Games System
  - 16: Warp Speed
  - 17: Dinamic
  - 18: Zaxxon
  - 19: Magic Desk
  - 20: Super Snapshot V5
  - 21: Comal 80
  - 22: Structured BASIC
  - 23: ROSS
  - 24: Dela EP64
  - 25: Dela EP7x8
  - 26: Dela EP256
  - 27: REX 256KiB EPROM Cart
  - 28: Mikro Assembler
  - 29: Final Cartridge Plus
  - 30: Action Replay MK4
  - 31: Stardos
  - 32: EasyFlash
  - 33: EasyFlash Xbank
  - 34: Capture
  - 35: Action Replay MK3
  - 36: Retro Replay
  - 37: MMC64
  - 38: MMC Replay
  - 39: IDE64
  - 40: Super Snapshot V4
  - 41: IEEE-488 Interface
  - 42: Game Killer
  - 43: Prophet64
  - 44: EXOS
  - 45: Freeze Frame
  - 46: Freeze Machine
  - 47: Snapshot 64
  - 48: Super Explode V5.0
  - 49: Magic Voice
  - 50: Action Replay MK2
  - 51: MACH 5
  - 52: Diashow-Maker
  - 53: Pagefox
  - 54: Kingsoft
  - 55: Silverrock 128KiB Cartridge
  - 56: Formel 64
  - 57: RGCD
  - 58: RR-Net MK3
  - 59: EasyCalc
  - 60: GMod2
  - 61: MAX Basic
  - 62: GMod3
  - 63: ZIPP-CODE 48
  - 64: Blackbox V8
  - 65: Blackbox V3
  - 66: Blackbox V4
  - 67: REX RAM-Floppy
  - 68: BIS-Plus
  - 69: SD-BOX
  - 70: MultiMAX
  - 71: Blackbox V9
  - 72: Lt. Kernal Host Adaptor
  - 73: RAMLink
  - 74: H.E.R.O. bootleg
`CartridgeFile`

  String specifying the filename of the image for the cartridge emulated in the "main" slot.

`DQBB`

  Boolean specifying whether the Double Quick Brown Box should be emulated or not.

`DQBBfilename`

  String specifying the filename of the DQBB RAM image.

`DQBBImageWrite`

  Boolean, if true write back the DQBB image file automatically, incase the RAM contents changed, when detaching or quitting the emulator.

`EasyFlashJumper`

  Boolean specifying whether the Easy Flash jumper is set.

`EasyFlashWriteCRT`

  Boolean, if true write back the Easy Flash image file automatically, incase the contents changed, when detaching or quitting the emulator.

`EasyFlashOptimizeCRT`

  Boolean, if true omit empty (filled with $ff) banks from the .crt image when writing.

`ExpertCartridgeEnabled`

  Boolean specifying whether the Expert Cartridge should be emulated or not.

`Expertfilename`

  String specifying the filename of the Expert Cartridge RAM image.

`ExpertImageWrite`

  Boolean, if true write back the Expert Cartridge image file automatically, incase the RAM contents changed, when detaching or quitting the emulator.

`ExpertCartridgeMode`

  Integer specifying the state of the expert cartridge switch. (0: off, 1: prg, 2: on)

`GMod2EEPROMImage`

  String that specifies the name of the raw GMod2 EEPROM image.

`GMod2FlashWrite`

  Boolean that specifies wether writes to GMod2 EEPROM image are enabled.

`GMod2EEPROMRW`

  Boolean that specifies wether the GMod2 ROM is saved at exit

`GMod3FlashWrite`

  Boolean that specifies wether changes to GMod3 EEPROM image are written back to the cartridge image.

`IDE64version`

  Integer specifying whether the emulated card version is V3.4, V4.1 or V4.2. This is automatically detected most of the time for .crt cartridge images.

`IDE64Image1`
`IDE64Image2`
`IDE64Image3`
`IDE64Image4`

  Strings specifying the full path to the four harddisk images. If a file is non-existing the drive is not emulated. Some older IDEDOS versions only support the first two harddisks.

`IDE64Cylinders1`
`IDE64Cylinders2`
`IDE64Cylinders3`
`IDE64Cylinders4`

  Integers specifying the number of cylinders for the four harddisk images. (1..65535)

`IDE64Heads1`
`IDE64Heads2`
`IDE64Heads3`
`IDE64Heads4`

  Integers specifying the number of heads for the four harddisk images. (1..16)

`IDE64Sectors1`
`IDE64Sectors2`
`IDE64Sectors3`
`IDE64Sectors4`

  Integers specifying the number of sectors for the four harddisk images. (1..63)

`IDE64AutodetectSize1`
`IDE64AutodetectSize2`
`IDE64AutodetectSize3`
`IDE64AutodetectSize4`

  Booleans specifying whether the disk geometry should be auto detected based on the disk image for the respective harddisk, or the cylinder/head/sector resources above should be used.

`IDE64USBServerAddress`

  String specifying the address the IDE64 USB server listens to (ip4://127.0.0.1:64245)

`IDE64USBServer`

  Boolean specifying whether the IDE64 USB server is enabled.

`IDE64RTCSave`

  Boolean specifying whether the IDE64 RTC data should be saved when changed or not.

`IDE64ClockPort`

  Integer that specifies the enabled IDE64 Clockport device. (0: None, 2: RRNet, 4: MP3@64)

`SBDIGIMAX`

  Boolean that specifies whether the Short Bus DigiMAX expansion is enabled.

`SBDIGIMAXbase`

  Integer specifying the Base address of the Short Bus DigiMAX expansion. (0xDE40/0xDE48)

`SBETFE`

  Boolean specifying whether the Short Bus ETFE expansion is enabled

`SBETFEbase`

  Integer specifying the Base address of the Short Bus ETFE expansion. ($de00, $de10, $df00)

`IEEE488`

  Boolean specifying whether the IEEE488 interface should be emulated or not.

`IEEE488Image`

  String specifying the filename of the IEEE488 ROM image.

`IsepicCartridgeEnabled`

  Boolean specifying whether ISEPIC should be emulated or not.

`Isepicfilename`

  String specifying the filename of the ISEPIC RAM image.

`IsepicSwitch`

  Boolean specifying the status of the ISEPIC switch. (0: off, 1: on)

`IsepicImageWrite`

  Boolean, if true write back the ISEPIC image file automatically, incase the RAM contents changed, when detaching or quitting the emulator.

`LTKimage0`
`LTKimage1`
`LTKimage2`
`LTKimage3`
`LTKimage4`
`LTKimage5`
`LTKimage6`

  Strings specifying the full path to up to seven harddisk images. If a file is non-existing the drive is not emulated. The first drive is necessary.

`LTKio`

  Integer specifying the Base address of the I/O interface. (1: $de00, 2: $df00) Default is $df00.

`LTKport`

  Integer specifying the port number in multiplexed multi-computer/single-disk configurations. (0 to 15) Default is 0, the master.

`LTKserial`

  String specifying the serial number. It must be in the form "00000000" with all numeric digits. Default is 87000000. LTK DOS install disks are locked to their respective LTK host adapor boot ROM. This setting will override the boot ROM value. The floppy disk serial number can be changed with a sector editor on track 18, sector 18.

`MagicVoiceCartridgeEnabled`

  Boolean specifying whether the Magic Voice should be emulated or not.

`MagicVoiceImage`

  String specifying the filename of the Magic Voice ROM image.

`MMC64`

  Boolean specifying whether the MMC64 should be emulated or not.

`MMC64BIOSfilename`

  String specifying the filename of the MMC64 Flash ROM image.

`MMC64_bios_write`

  Boolean, if true write back the MMC64 Flash ROM image file automatically, incase the contents changed, when detaching or quitting the emulator.

`MMC64_flashjumper`

  Boolean that specifies whether the MMC64 flash jumper is set.

`MMC64_revision`

  Integer specifying the MMC64 hardware revision. (0: Revision A, 1: Revision B)

`MMC64imagefilename`

  String specifying the filename of the SD-Card image used by the MMC64 emulation.

`MMC64_RO`

  Boolean, if true the SD-Card image is mounted read-only.

`MMC64_sd_type`

  Integer that specifies the reported type for the emulated SD-Card. (0: Auto, 1: MMC, 2: SD, 3: SDHC)

`MMC64ClockPort`

  Integer that specifies the clockport device used. (0: None, 1: ETH64-II, 2: RRNet, 3: Silver Surfer, 4: MP3@64, 5: Catweasel MkIII SID)

`MMCRCardImage`

  String specifying the filename of the SD-Card image used by the MMCR emulation.

`MMCREEPROMImage`

  String specifying the filename of the MMCR EEPROM image.

`MMCRRescueMode`

  Boolean specifying if the rescue mode (both buttons pressed during powerup) of the MMCR is active.

`MMCRImageWrite`

  Boolean, if true write back the MMCR Flash ROM image file automatically, incase the contents changed, when detaching or quitting the emulator.

`MMCRCardRW`

  Boolean specifying if the SD-Card image used by the MMCR emulation is writeable.

`MMCRSDType`

  Integer that specifies the reported type for the emulated SD-Card. (0: Auto, 1: MMC, 2: SD, 3: SDHC)

`MMCREEPROMRW`

  Boolean specifying if the MMCR EEPROM image is writeable.

`MMCRClockPort`

  Integer that specifies the clockport device. (0: None, 1: ETH64-II, 2: RRNet, 3: Silver Surfer, 4: MP3@64, 5: Catweasel MkIII SID)

`RAMCART`

  Boolean specifying whether the RAMCart should be emulated or not.

`RAMCARTfilename`

  String specifying the filename of the RAMCart RAM image.

`RAMCARTImageWrite`

  Boolean, if true write back the RAMCart image file automatically, incase the RAM contents changed, when detaching or quitting the emulator.

`RAMCART_RO`

  Boolean, if true the RAMCart contents are read only.

`RAMCARTsize`

  Integer specifying the size of the RAMCart in KiB. (64, 128)

`RAMLINK`

  Boolean specifying whether the RAMLink module should be emulated or not. This option emulates the behavior of the enable/disable switch on the unit.

`RAMLINKfilename`

  String specifying the filename of the RAMCard image.

`RAMLINKImageWrite`

  Boolean, if true write back the RAMCard image file automatically, in case the RAM contents changed, when detaching or quitting the emulator.

`RAMLINKsize`

  Integer specifying the size of the RAMCard in MiB. (0..16; default is 0)

`RAMLINKmode`

  Integer specifying the mode of the RAMLink. "1", the default, (Normal) only allows RAMLink access to the RAM port (REU, GEORAM, and RAMDrive); their registers are hidden otherwise. "0" (Direct) exposes their registers all the time. This option emulates the behavior of the Normal/Direct switch on the unit.

`RAMLINKRTCSave`

  Boolean specifying whether the RTC data should be saved when changed or not.

`RRrevision`

  Integer specifying the RR hardware revision. (0: Retro Replay, 1: Nordic Replay)

`RRFlashJumper`

  Boolean specifying whether the RR flash jumper is set or not.

`RRBankJumper`

  Boolean specifying whether the RR bank jumper is set or not.

`RRBiosWrite`

  Boolean, if true write back the RR Flash ROM image file automatically, incase the contents changed, when detaching or quitting the emulator.

`RRClockPort`

  Integer that specifies the clockport device. (0: None, 1: ETH64-II, 2: RRNet, 3: Silver Surfer, 4: MP3@64, 5: Catweasel MkIII SID)

`RRNETMK3_flashjumper`

  Boolean specifying whether the RRNETMK3 Flash Jumper is set.

`RRNETMK3_bios_write`

  Boolean specifying whether to save the RRNETMK3 bios when changed.

`SSRamExpansion`

  Boolean, if true enable the 32KiB addon RAM of the Supersnapshot V5

#### 7.1.2.2 C64 cartridge command-line options

`-iocollision <method>`

  Select the way the I/O collisions should be handled (`IOCollisionHandling`). (0: error message and detach all involved carts, 1: error message and detach last attached involved carts, 2: warning in log and ’AND’ the valid return values

`+cart`

  Disable all cartridges (which would eventually be enabled in the config file).

`-cartreset`
`+cartreset`

  Reset/Do not reset machine if a cartridge is attached or detached (`CartridgeReset=1`, `CartridgeReset=0`).

`-cart8 <name>`

  Attach generic 8KiB cartridge image.

`-cart16 <name>`

  Attach generic 16KiB cartridge image.

`-cartultimax <name>`

  Attach generic 16KiB Ultimax cartridge image.

`-cartcrt <name>`

  Attach CRT cartridge image.

`-cartap <name>`

  Attach raw 32KiB Atomic Power cartridge image.

`-cartar2 <name>`

  Attach raw 16KiB Action Replay MK2 cartridge image.

`-cartar3 <name>`

  Attach raw 16KiB Action Replay MK3 cartridge image.

`-cartar4 <name>`

  Attach raw 32KiB Action Replay MK4 cartridge image.

`-cartar5 <name>`

  Attach raw 32KiB Action Replay cartridge image.

`-cartbis <name>`

  Attach raw 8KiB BIS-Plus cartridge image.

`-cartbb3 <name>`

  Attach raw 8KiB Blackbox V3 cartridge image.

`-cartbb4 <name>`

  Attach raw 16KiB Blackbox V4 cartridge image.

`-cartbb8 <name>`

  Attach raw 32/64KiB Blackbox V8 cartridge image.

`-cartbb9 <name>`

  Attach raw 32KiB Blackbox V9 cartridge image.

`-cartcap <name>`

  Attach raw 8KiB Capture cartridge image.

`-cartcomal <name>`

  Attach raw 64KiB Comal 80 cartridge image.

`-cartdep256 <name>`

  Attach raw Dela EP256 cartridge image.

`-cartdep64 <name>`

  Attach raw Dela EP64 cartridge image.

`-cartdep7x8 <name>`

  Attach raw Dela EP7x8 cartridge image.

`-cartdin <name>`

  Attach raw 128KiB Dinamic cartridge image.

`-cartdsm <name>`

  Attach raw 8KiB Diashow-Maker cartridge image.

`-cartdqbb <name>`

  Attach raw 16KiB Double Quick Brown Box cartridge image.

`-dqbb`
`+dqbb`

  Enable/disable Double Quick Brown Box (`DQBB=1`, `DQBB=0`).

`-dqbbimage <name>`

  Specify Double Quick Brown Box filename (`DQBBfilename`).

`-dqbbimagerw`
`+dqbbimagerw`

  Allow/disallow writing to DQBB image (`DQBBImageWrite=1`, `DQBBImageWrite=0`).

`-carteasy <name>`

  Attach raw EasyFlash cartridge image.

`-carteasycalc <name>`

  Attach raw 24KiB Easy Calc Result cartridge image

`-easyflashjumper`
`+easyflashjumper`

  Enable/disable EasyFlash jumper (`EasyFlashJumper=1`, `EasyFlashJumper=0`).

`-easyflashcrtwrite`
`+easyflashcrtwrite`

  Allow/Disallow writing to EasyFlash .crt image (`EasyFlashWriteCRT=1`, `EasyFlashWriteCRT=0`).

`-easyflashcrtoptimize`
`+easyflashcrtoptimize`

  Allow/Disallow EasyFlash .crt image optimizing (omitting of empty banks) on write (`EasyFlashOptimizeCRT=1`, `EasyFlashOptimizeCRT=0`).

`-cartepyx <name>`

  Attach raw 8KiB Epyx FastLoad cartridge image.

`-cartexos <name>`

  Attach raw 8KiB EXOS cartridge image.

`-cartexpert <name>`

  Attach raw 8KiB Expert Cartridge image.

`-expert`
`+expert`

  Enable/Disable the Expert Cartridge (`ExpertCartridgeEnabled=1`, `ExpertCartridgeEnabled=0`).

`-expertimagename <name>`

  Set Expert Cartridge image name (`Expertfilename`).

`-expertimagerw`
`+expertimagerw`

  Allow/Disallow writing to Expert Cartridge image (`ExpertImageWrite=1`, `ExpertImageWrite=0`).

`-expertmode <mode>`

  Set Expert Cartridge mode (`ExpertCartridgeMode`). (0: off, 1: prg, 2: on)

`-cartf64 <Name>`

  Attach raw 32KiB Formel 64 image.

`-cartfc1 <name>`

  Attach raw 16KiB Final Cartridge image.

`-cartfc3 <name>`

  Attach raw 64KiB Final Cartridge III image.

`-cartfcplus <name>`

  Attach raw 32KiB Final Cartridge Plus image.

`-cartff <name>`

  Attach raw 8KiB Freeze Frame image.

`-cartfm <name>`

  Attach raw 32KiB Freeze Machine image.

`-cartfp <name>`

  Attach raw 128KiB Fun Play/Power Play cartridge image.

`-cartgmod2 <name>`

  Attach raw GMod2 cartridge image.

`-gmod2eepromimage <name>`

  Attach raw GMod2 EEPROM image (`GMod2EEPROMImage`).

`-gmod2eepromrw`
`+gmod2eepromrw`

  Enable/Disable writes to GMod2 EEPROM image (`GMod2EEPROMRW=1`, `GMod2EEPROMRW=0`).

`-gmod2flashwrite`
`+gmod2flashwrite`

  Enable/Disable saving of the GMod2 ROM at exit (`GMod2FlashWrite=1`, `GMod2FlashWrite=0`).

`-cartgmod3 <name>`

  Attach raw GMod3 cartridge image.

`-gmod3flashwrite`
`+gmod3flashwrite`

  Enable/Disable saving of the GMod3 ROM at exit (`GMod3FlashWrite=1`, `GMod3FlashWrite=0`).

`-cartgk <name>`

  Attach raw 8KiB Game Killer cartridge image.

`-cartgs <name>`

  Attach raw 512KiB Game System cartridge image.

`-carthero <name>`

  Attach raw 32KiB H.E.R.O. bootleg cartridge image

`-cartide64 <name>`

  Attach raw 64KiB or 128KiB IDE64 cartridge image.

`-IDE64image1 <name>` ¶
`-IDE64image2 <name>` ¶
`-IDE64image3 <name>` ¶
`-IDE64image4 <name>`

  Specify path to the image files for IDE64 harddisks (`IDE64Image1`, `IDE64Image2`, `IDE64Image3`, `IDE64Image4`).

`-IDE64cyl1 <value>` ¶
`-IDE64cyl2 <value>` ¶
`-IDE64cyl3 <value>` ¶
`-IDE64cyl4 <value>`

  Set number of cylinders for the IDE64 harddisk emulation (`IDE64Cylinders1`, `IDE64Cylinders2`, `IDE64Cylinders3`, `IDE64Cylinders1`). (1..65535)

`-IDE64hds1 <value>` ¶
`-IDE64hds2 <value>` ¶
`-IDE64hds3 <value>` ¶
`-IDE64hds4 <value>`

  Set number of heads for the IDE64 harddisk emulation (`IDE64Heads1`, `IDE64Heads2`, `IDE64Heads3`, `IDE64Heads4`). (1..16)

`-IDE64sec1 <value>` ¶
`-IDE64sec2 <value>` ¶
`-IDE64sec3 <value>` ¶
`-IDE64sec4 <value>`

  Set number of sectors for the IDE64 harddisk emulation (`IDE64Sectors1`, `IDE64Sectors2`, `IDE64Sectors3`, `IDE64Sectors4`). (1..63)

`-IDE64autosize1`
`+IDE64autosize1`

  Autodetect geometry of formatted image or do not autodetect and use specified geometry (`IDE64AutodetectSize1=1`, `IDE64AutodetectSize1=0`).

`-IDE64autosize2`
`+IDE64autosize2`

  Autodetect geometry of formatted image or do not autodetect and use specified geometry (`IDE64AutodetectSize2=1`, `IDE64AutodetectSize2=0`).

`-IDE64autosize3`
`+IDE64autosize3`

  Autodetect geometry of formatted image or do not autodetect and use specified geometry (`IDE64AutodetectSize3=1`, `IDE64AutodetectSize3=0`).

`-IDE64autosize4`
`+IDE64autosize4`

  Autodetect geometry of formatted image or do not autodetect and use specified geometry (`IDE64AutodetectSize4=1`, `IDE64AutodetectSize4=0`).

`-IDE64version <value>`

  Select IDE64 version V3 (0), V4.1 (1) or V4.2 (2). (`IDE64version`). (0..2)

`-IDE64USB`
`+IDE64USB`

  Enable/Disable IDE64 USB server

`-IDE64USBAddress <name>`

  The local address the IDE64 USB server should bind to

`-IDE64rtcsave`
`+IDE64rtcsave`

  Enable/disable saving of IDE64 RTC data when changed (`IDE64RTCSave=1`, `IDE64RTCSave=0`).

`-ide64clockportdevice`

  Enable IDE64 Clockport device (0: None, 2: RRNet, 4: MP3@64) (`IDE64ClockPort`).

`-sbdigimax`
`+sbdigimax`

  Enable/Disable the Short Bus DigiMAX expansion (`SBDIGIMAX`).

`-sbdigimaxbase`

  Set Base address of the Short Bus DigiMAX expansion (0xDE40/0xDE48) (`SBDIGIMAXbase`).

`-sbetfe`
`+sbetfe`

  Enable/Disable the Short Bus ETFE expansion (`SBETFE`).

`-sbetfebase`

  Set Base address of the Short Bus ETFE expansion (56832: $de00, 56848: $de10, 57088: $df00) (`SBETFEbase`).

`-cartieee <name>`

  Attach CBM IEEE-488 cartridge image.

`-ieee488`
`+ieee488`

  Enable/disable emulation of the IEEE488 interface (`IEEE488=1`, `IEEE488=0`).

`-ieee488image <name>`

  Set IEEE488 interface image name (`IEEE488Image`).

`-isepic`
`+isepic`

  Enable/disable the ISEPIC cart (`IsepicCartridgeEnabled=1`, `IsepicCartridgeEnabled=0`).

`-isepicswitch`
`+isepicswitch`

  Enable/disable the ISEPIC switch (`IsepicSwitch=1`, `IsepicSwitch=0`).

`-cartisepic <name>`

  Attach raw 2KiB ISEPIC cartridge image.

`-isepicimagename <name>`

  Set ISEPIC image name (`Isepicfilename`).

`-isepicimagerw`
`+isepicimagerw`

  Allow/disallow writing to ISEPIC image (`IsepicImageWrite=1`, `IsepicImageWrite=0`).

`-cartkcs <name>`

  Attach raw 16KiB KCS Power cartridge image.

`-cartks <name>`

  Attach raw 24KiB Kingsoft cartridge image.

`-cartltk <name>`

  Attach raw Lt. Kernal Host Adaptor cartridge image.

`-ltkimage0 <name>` ¶
`-ltkimage1 <name>` ¶
`-ltkimage2 <name>` ¶
`-ltkimage3 <name>` ¶
`-ltkimage4 <name>` ¶
`-ltkimage5 <name>` ¶
`-ltkimage6 <name>`

  Strings specifying the full path to up to seven harddisk images. If a file is non-existing the drive is not emulated. The first drive is necessary. (`ltkimage0`, `ltkimage1`, `ltkimage2`, `ltkimage3`, `ltkimage4`, `ltkimage5`, `ltkimage6`).

`-ltkio <value>`

  Integer specifying the Base address of the I/O interface. (1: $de00, 2: $df00) Default is $df00.

`-ltkport <value>`

  Integer specifying the port number in multiplexed multi-computer/single-disk configurations. (0..15) Default is 0, the master.

`-ltkserial <name>`

  String specifying the serial number. It must be in the form "00000000" with all numeric digits. Default is 87000000. LTK DOS install disks are locked to their respective LTK host adapor boot ROM. This setting will override the boot ROM value. The floppy disk serial number can be changed with a sector editor on track 18, sector 18.

`-cartmach5 <name>`

  Attach raw 8KiB MACH 5 cartridge image.

`-cartmd <name>`

  Attach raw 32/64/128KiB Magic Desk cartridge image.

`-cartmf <name>`

  Attach raw Magic Formel cartridge image.

`-cartmax <name>`

  Attach raw MAX Basic cartridge image.

`-cartmm <name>`

  Attach raw MultiMAX cartridge image.

`-cartmikro <name>`

  Attach raw 8KiB Mikro Assembler cartridge image.

`-mmc64`
`+mmc64`

  Enable/disable the MMC64 expansion (`MMC64=1`, `MMC64=0`).

`-cartmmc64 <name>`

  Attach raw 8KiB MMC64 cartridge image.

`-mmc64bios <name>`

  Specify name of MMC64 BIOS image (`MMC64BIOSfilename`).

`-mmc64image <name>`

  Specify name of MMC64 image (`MMC64imagefilename`).

`-mmc64readonly`

  Set the MMC64 card to read-only (`MMC64_RO=1`).

`-mmc64readwrite`

  Set the MMC64 card to read/write (`MMC64_RO=0`).

`-mmc64flash`
`+mmc64flash`

  Enable/Disable the MMC64 flash jumper (`MMC64_flashjumper=1`, `MMC64_flashjumper=0`).

`-mmc64bioswrite`

  Save the MMC64 bios when changed (`MMC64_bios_write`=1).

`-mmc64biosreadonly`

  Do not save the MMC64 bios when changed (`MMC64_bios_write`=0).

`-mmc64rev <revision>`

  Specify MMC64 revision (`MMC64_revision`). (0: Revision A, 1: Revision B)

`-mmc64sdtype <type>`

  Specify MMC64 SD type (`MMC64_sd_type`). (0: Auto, 1: MMC, 2: SD, 3: SDHC)

`-mmc64clockportdevice <device>`

  Set MMC64 clockport device (`MMC64ClockPort`) (0: None, 1: ETH64-II, 2: RRNet, 3: Silver Surfer, 4: MP3@64, 5: Catweasel MkIII SID)

`-cartmmcr <name>`

  Attach raw 512KiB MMC Replay cartridge image.

`-mmcrrescue`
`+mmcrrescue`

  Enable/disable MMC Replay rescue mode (`MMCRRescueMode=1`, `MMCRRescueMode=0`).

`-mmcrimagerw`
`+mmcrimagerw`

  Allow/disallow writing to MMC Replay image (`MMCRImageWrite=1`, `MMCRImageWrite=0`).

`-mmcrsdtype <type>`

  Specify MMC Replay SD type (`MMCRSDType`). (0: Auto, 1: MMC, 2: SD, 3: SDHC)

`-mmcrcardimage <filename>`

  Specify MMC Replay card image filename (`MMCRCardImage`).

`-mmcrcardrw`
`+mmcrcardrw`

  Allow/disallow writes to MMC Replay card image (`MMCRCardRW=1`, `MMCRCardRW=0`).

`-mmcreepromimage <filename>`

  Specify MMC Replay EEPROM image filename (`MMCREEPROMImage`).

`-mmcreepromrw`
`+mmcreepromrw`

  Allow/disallow writes to MMC Replay EEPROM image (`MMCREEPROMRW=1`, `MMCREEPROMRW=0`).

`-mmcrclockportdevice <id>`

  Set MMC Replay clockport device (`MMCRClockPort`). (0: None, 1: ETH64-II, 2: RRNet, 3: Silver Surfer, 4: MP3@64, 5: Catweasel MkIII SID)

`-cartmv <name>`

  Attach raw 16KiB Magic Voice cartridge image.

`-magicvoiceimage <name>`

  Specify Magic Voice cartridge ROM image filename (`MagicVoiceImage`).

`-magicvoice`
`+magicvoice`

  Enable/disable Magic Voice cartridge (`MagicVoiceCartridgeEnabled=1`, `MagicVoiceCartridgeEnabled=0`).

`-cartocean <name>`

  Attach raw Ocean cartridge image.

`-cartp64 <name>`

  Attach raw 256KiB Prophet 64 cartridge image.

`-cartpf <name>`

  Attach raw 64KiB Pagefox cartridge image.

`-cartramcart <name>`

  Attach raw RamCart cartridge image.

`-ramcart`
`+ramcart`

  Enable/disable the RAMCART expansion (`RAMCART=1`, `RAMCART=0`).

`-ramcartsize <size in KiB>`

  Size of the RAMCART expansion (`RAMCARTsize`). (64, 128)

`-ramcartimage <name>`

  Specify name of RAMCART image (`RAMCARTfilename`).

`-ramcartimagerw`
`+ramcartimagerw`

  Allow/disallow writing to RAMCart image (`RAMCARTImageWrite=1`, `RAMCARTImageWrite=0`).

`-ramcartro`

  Set the RamCart switch to read-only (`RAMCART_RO=1`).

`-ramcartrw`

  Set the RamCart switch to read-only (`RAMCART_RO=0`).

`-ramlink`
`+ramlink`

  Enable/disable emulation of the RAMLink module. This option emulates the behavior of the enable/disable switch on the unit (`RAMLINK=1`, `RAMLINK=0`).

`-cartramlink <name>`

  Attach the raw 64 KiB ROM image.

`-ramlinkimage <name>`

  Specify name of RAMLink RAMCard image (`RAMLINKfilename`).

`-ramlinkimagerw`
`+ramlinkimagerw`

  Allow/disallow writing to RAMCard image on detach (`RAMLINKImageWrite=1`, `RAMLINKImageWrite=0`).

`-ramlinksize <size in MiB>`

  Size of the RAMCard unit (`RAMLINKsize`). (0..16; default is 0)

`-ramlinkmode <value>`

  Sets the RAM port mode of the unit. "1", the default, (Normal) only allows RAMLink access to the RAM port (REU, GEORAM, and RAMDrive); their registers are hidden otherwise. "0" (Direct) exposes their registers all the time. This option emulates the behavior of the Normal/Direct switch on the unit. (`RAMLINKmode`). (1:normal (default), 0:direct)

`-ramlinkrtcsave`
`+ramlinkrtcsave`

  Enable/disable saving of the RTC data when changed (`RAMLINKRTCSave=1`, `RAMLINKRTCSave=0`).

`-cartrep256 <name>`

  Attach raw REX EP256 cartridge image.

`-cartrgcd <Name>`

  Attach raw 64KiB RGCD cartridge image.

`-cartross <name>`

  Attach raw 16/32KiB ROSS cartridge image.

`-cartrrnet <name>`

  Attach raw 8KiB RR-Net MK3 cartridge image.

`-cartrr <name>`

  Attach raw 64KiB Retro Replay cartridge image.

`-rrbioswrite`
`+rrbioswrite`

  Enable/disable saving of the RR ROM at exit (`RRBiosWrite=1`, `RRBiosWrite=0`).

`-rrbankjumper`
`+rrbankjumper`

  Set/unset RR Bank Jumper (`RRBankJumper=1`, `RRBankJumper=0`).

`-rrflashjumper`
`+rrflashjumper`

  Set/unset RR Flash Jumper (`RRFlashJumper=1`, `RRFlashJumper=0`).

`-rrrev <Revision>`

  Set the RR revision (`RRrevision`). (0: Retro Replay, 1: Nordic Replay)

`-rrclockportdevice <device>`

  Set the RR clockport device (`RRClockPort`) (0: None, 1: ETH64-II, 2: RRNet, 3: Silver Surfer, 4: MP3@64, 5: Catweasel MkIII SID)

`-rrnetmk3flash`
`+rrnetmk3flash`

  SetRemove the RRNETMK3 Flash Jumper (`RRNETMK3_flashjumper=1`, `RRNETMK3_flashjumper=0`).

`-rrnetmk3bioswrite`
`+rrnetmk3bioswrite`

  Save/Do not save the RRNETMK3 bios when changed (`RRNETMK3_bios_write=1`, `RRNETMK3_bios_write=0`).

`-cartrrf <name>`

  Attach raw 8KiB REX RAM-Floppy cartridge image.

`-cartru <name>`

  Attach raw 8KiB REX Utility cartridge image.

`-cartsdbox <name>`

  Attach raw 128KiB SD-BOX cartridge image.

`-carts64 <name>`

  Attach raw 4KiB Snapshot 64 cartridge image.

`-cartsb <name>`

  Attach raw Structured Basic cartridge image.

`-cartse5 <name>`

  Attach raw 16KiB Super Explode V5 cartridge image.

`-cartsg <name>`

  Attach raw 64KiB Super Games cartridge image.

`-cartsilver <Name>`

  Attach raw Silverrock 128 cartridge image.

`-cartsimon <name>`

  Attach raw 16KiB Simons’ Basic cartridge image.

`-cartss4 <name>`

  Attach raw 32KiB Super Snapshot V4 cartridge image.

`-cartss5 <name>`

  Attach raw 64KiB Super Snapshot V5 cartridge image.

`-ssramexpansion`
`+ssramexpansion`

  Enable/disable 32KiB addon RAM. (`SSRamExpansion=1`, `SSRamExpansion=0`).

`-cartstar <name>`

  Attach raw 16KiB Stardos cartridge image.

`-cartwl <name>`

  Attach raw 16KiB Westermann Learning cartridge image.

`-cartws <name>`

  Attach raw 8KiB Warp Speed cartridge image.

`-cartzaxxon <name>`

  Attach raw 16KiB Zaxxon cartridge image.

`-cartzipp <name>`

  Attach raw 8KiB ZIPP-CODE 48 cartridge image.

#### 7.1.3 CIA settings

#### 7.1.3.1 CIA resources

`CIA1Model`

  Integer specifying CIA1 model (all emulators except x64dtv, xpet, xplus4, xvic). (0: old 6526, 1: new 6526A)

`CIA2Model`

  Integer specifying CIA2 model (all emulators except x64dtv, xcbm2, xcbm5x0, xpet, xplus4, xvic). (0: old 6526, 1: new 6526A)

#### 7.1.3.2 CIA command-line options

`-ciamodel <model>`

  Set both CIA models (`CIA1Model`, `CIA2Model`) (all emulators except x64dtv, xcbm2, xcbm5x0, xpet, xplus4, xvic). (0: old 6526, 1: new 6526A)

`-cia1model <model>`

  Set CIA1 model (`CIA1Model`) (all emulators except x64dtv, xpet, xplus4, xvic). (0: old 6526, 1: new 6526A)

`-cia2model <model>`

  Set CIA2 model (`CIA2Model`) (all emulators except x64dtv, xcbm2, xcbm5x0, xpet, xplus4, xvic). (0: old 6526, 1: new 6526A)

Next: VIC-II settings, Previous: C64/128-specific commands and settings, Up: C64/128-specific commands and settings [Contents][Index]